let flatTreeMap = new Map()
export function getFlatTree(treeData) {
    for (let value of treeData) {
        if (value.children.length) {
            flatTreeMap.set(value.id, value)
            getFlatTree(value.children)
        } else {
            flatTreeMap.set(value.id, value)
        }
    }
    return flatTreeMap
}